PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::optical::effective::EffectiveIndex2D::Mode Struct Reference

Details of the computed mode. More...

`#include <solvers/optical/effective/eim.hpp>`

Collaboration diagram for plask::optical::effective::EffectiveIndex2D::Mode:
[legend]

## Public Member Functions
| Mode (EffectiveIndex2D *solver, Symmetry sym)
void | setSymmetry (Symmetry sym)
bool | operator== (const Mode &other) const
double | loss () const
| Return mode loss.

## Public Attributes
EffectiveIndex2D * | solver
| Solver this mode belongs to.
Symmetry | symmetry
| Horizontal symmetry of the modes.
dcomplex | neff
| Stored mode effective index.
bool | have_fields
| Did we compute fields for current state?
std::vector< Field, aligned_allocator< Field > > | xfields
| Computed horizontal fields.
std::vector< double, aligned_allocator< double > > | xweights
| Computed horizontal weights.
double | power
| Mode power (mW)

## Detailed Description

Details of the computed mode.

Definition at line 73 of file eim.hpp.

## Constructor & Destructor Documentation

## ◆ Mode()

plask::optical::effective::EffectiveIndex2D::Mode::Mode | ( | EffectiveIndex2D * | solver,
|  | Symmetry | sym
| ) |  |
| inline

Definition at line 82 of file eim.hpp.

## Member Function Documentation

## ◆ loss()

double plask::optical::effective::EffectiveIndex2D::Mode::loss | ( |  | ) | const
| inline

Return mode loss.

Definition at line 105 of file eim.hpp.

## ◆ operator==()

bool plask::optical::effective::EffectiveIndex2D::Mode::operator== | ( | const Mode & | other | ) | const
| inline

Definition at line 102 of file eim.hpp.

## ◆ setSymmetry()

void plask::optical::effective::EffectiveIndex2D::Mode::setSymmetry | ( | Symmetry | sym | ) |
| inline

Definition at line 87 of file eim.hpp.

## Member Data Documentation

## ◆ have_fields

bool plask::optical::effective::EffectiveIndex2D::Mode::have_fields

Did we compute fields for current state?

Definition at line 77 of file eim.hpp.

## ◆ neff

dcomplex plask::optical::effective::EffectiveIndex2D::Mode::neff

Stored mode effective index.

Definition at line 76 of file eim.hpp.

## ◆ power

double plask::optical::effective::EffectiveIndex2D::Mode::power

Mode power (mW)

Definition at line 80 of file eim.hpp.

## ◆ solver

EffectiveIndex2D* plask::optical::effective::EffectiveIndex2D::Mode::solver

Solver this mode belongs to.

Definition at line 74 of file eim.hpp.

## ◆ symmetry

Symmetry plask::optical::effective::EffectiveIndex2D::Mode::symmetry

Horizontal symmetry of the modes.

Definition at line 75 of file eim.hpp.

## ◆ xfields

std::vector<Field, aligned_allocator<Field> > plask::optical::effective::EffectiveIndex2D::Mode::xfields

Computed horizontal fields.

Definition at line 78 of file eim.hpp.

## ◆ xweights

std::vector<double, aligned_allocator<double> > plask::optical::effective::EffectiveIndex2D::Mode::xweights

Computed horizontal weights.

Definition at line 79 of file eim.hpp.

The documentation for this struct was generated from the following file:

- solvers/optical/effective/eim.hpp